Browse Source

Bump oslo.policy to 3.6.2

Prior to oslo.policy version 3.6.2, the Enforcer() object would load and
update the deprecated rules for a check regardless of it already being
done.

A recent change to oslo.policy updated the Enforcer() to be smarter
about this case and it was released in oslo.policy version 3.6.2:

  https://review.opendev.org/c/openstack/oslo.policy/+/773414

This became prevalent in neutron's usage of deprecated rules to update
their policies for secure RBAC personas since the Enforcer() object is
used extensively for APIs, resource, and attribute protection.

This should restore neutron's API performance to what it was prior to
the mass deprecation default policy rules.

Depends-On: https://review.opendev.org/c/openstack/requirements/+/774290
Closes-Bug: 1913718
Change-Id: Ia0e283f09c80605d6920843450b88cbc061996d5
changes/37/773537/8
Lance Bragstad 1 year ago
committed by Slawek Kaplonski
parent
commit
924c40975a
  1. 2
      lower-constraints.txt
  2. 2
      requirements.txt

2
lower-constraints.txt

@ -67,7 +67,7 @@ oslo.i18n==3.20.0
oslo.log==4.3.0
oslo.messaging==7.0.0
oslo.middleware==3.31.0
oslo.policy==3.6.0
oslo.policy==3.6.2
oslo.privsep==2.3.0
oslo.reports==1.18.0
oslo.rootwrap==5.8.0

2
requirements.txt

@ -33,7 +33,7 @@ oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=7.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.policy>=3.6.2 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0

Loading…
Cancel
Save